
#ifndef _PLUGIN_%{APPNAMEUC}_H_
#define _PLUGIN_%{APPNAMEUC}_H_

#include <tdeparts/plugin.h>
#include <tdeparts/factory.h>

class Plugin%{APPNAME} : public KParts::Plugin
{
  Q_OBJECT
  
public:
  Plugin%{APPNAME}( TQObject* parent = 0, const char* name = 0 );
  virtual ~Plugin%{APPNAME}();

public slots:
  void slotAction();
};

class %{APPNAME}Factory : public KLibFactory
{
  Q_OBJECT
  
public:
  %{APPNAME}Factory();
  virtual ~%{APPNAME}Factory();

  virtual TQObject* createObject( TQObject* parent = 0, const char* pname = 0, const char* name = TQOBJECT_OBJECT_NAME_STRING, const TQStringList &args = TQStringList() );

  static TDEInstance* instance();

private:
  static TDEInstance* s_instance;
};

#endif // _PLUGIN_%{APPNAMEUC}_H_
